# Contracts

{% embed url="<https://github.com/antefinance/ante-v0-core>" %}

### Deployed Factories

#### Mainnets

<table><thead><tr><th width="263.92732395288573">Network</th><th width="455.21900215263037">Address</th></tr></thead><tbody><tr><td>Ethereum Mainnet</td><td><a href="https://etherscan.io/address/0xa03492a9a663f04c51684a3c172fc9c4d7e02edc">0xa03492A9A663F04c51684A3c172FC9c4D7E02eDc</a></td></tr><tr><td>Avalanche C-Chain</td><td><a href="https://snowtrace.io/address/0x18ab6357f673696375018f006b86fe44f195de1f">0x18aB6357f673696375018f006B86fE44F195DE1f</a></td></tr><tr><td>Polygon Mainnet</td><td><a href="https://polygonscan.com/address/0xb4fd0ce108e196d0c9844c48174d4c32cd42f7bc">0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC</a></td></tr><tr><td>Binance Smart Chain</td><td><a href="https://bscscan.com/address/0xb4fd0ce108e196d0c9844c48174d4c32cd42f7bc">0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC</a></td></tr><tr><td>Fantom</td><td><a href="https://ftmscan.com/address/0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC">0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC</a></td></tr><tr><td>Optimism</td><td><a href="https://optimistic.etherscan.io/address/0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC">0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC</a></td></tr><tr><td>Arbitrum One</td><td><a href="https://arbiscan.io/address/0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC">0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC</a></td></tr><tr><td>Aurora Mainnet</td><td><a href="https://explorer.aurora.dev/address/0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC">0xb4FD0Ce108e196d0C9844c48174d4C32Cd42F7bC</a></td></tr></tbody></table>

#### Testnets

<table><thead><tr><th width="269.09710639436616">Network</th><th width="460.0987927831361">Address</th></tr></thead><tbody><tr><td>Ethereum Rinkeby</td><td><a href="https://rinkeby.etherscan.io/address/0x5a8b70edfd28a79756b54ed8dbeee13e566920aa">0x5a8b70edfd28A79756B54ed8DbeeE13e566920Aa</a></td></tr><tr><td>Ethereum Goerli</td><td><a href="https://goerli.etherscan.io/address/0x4ae593b77234db644a6d6443c89a447140aeb361">0x4AE593b77234dB644a6d6443C89a447140aeb361</a></td></tr><tr><td>Avalanche Fuji Testnet</td><td><a href="https://testnet.snowtrace.io/address/0x45d520f5d0f8fb9bd68ae16ec5b84fc341df0ea0">0x45D520f5d0F8FB9Bd68aE16eC5B84fC341df0EA0</a></td></tr><tr><td>Polygon Mumbai</td><td><a href="https://mumbai.polygonscan.com/address/0x267bf4a003caf380d94766492bf7fec82a5dd9dc">0x267bF4a003CAF380D94766492Bf7FEc82a5dd9DC</a></td></tr><tr><td>BSC Testnet</td><td><a href="https://testnet.bscscan.com/address/0x4ae593b77234db644a6d6443c89a447140aeb361">0x4AE593b77234dB644a6d6443C89a447140aeb361</a></td></tr><tr><td>Fantom Testnet</td><td>Coming soon!</td></tr><tr><td>Optimism Goerli</td><td>Coming soon!</td></tr><tr><td>Arbitrum Görli</td><td>Coming soon!</td></tr><tr><td>Aurora Testnet</td><td>Coming soon!</td></tr></tbody></table>

### Ante Pools

The addresses of all Ante Pools created by AntePoolFactory are stored in the `allPools` array. Alternatively, if you have the address of the Ante Test, you can look up the corresponding Ante Pool address using `poolMap(address)` via block explorer, etc.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs/contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
